From: Mark Hatle <mark.hatle@kernel.crashing.org>
To: yocto-patches@lists.yoctoproject.org
Cc: seebs@seebs.net, richard.purdie@linuxfoundation.org
Subject: [pseudo][PATCH 02/20] test: Cleanup test output
Date: Thu, 15 Jan 2026 17:43:18 -0600 [thread overview]
Message-ID: <1768520616-7289-3-git-send-email-mark.hatle@kernel.crashing.org> (raw)
In-Reply-To: <1768520616-7289-1-git-send-email-mark.hatle@kernel.crashing.org>
Change 'make test' to be simple test results.
Add new 'make test-verbose' for verbose results.
Adjust the run_test.sh to capture logs and only output when in verbose
mode. Also capture failure and skip counts. (rc of 255 indicates test
was skipped.)
Adjust test cases to indicate skipped tests when a command is unavailable.
Signed-off-by: Mark Hatle <mark.hatle@kernel.crashing.org>
---
Makefile.in | 3 +++
run_tests.sh | 24 +++++++++++++++++++-----
test/test-acl.sh | 16 ++++++++++++++++
test/test-xattr.sh | 17 +++++++++++++++++
4 files changed, 55 insertions(+), 5 deletions(-)
diff --git a/Makefile.in b/Makefile.in
index 6447be4..3b60cf8 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -76,6 +76,9 @@ TABLES=table_templates/pseudo_tables.c table_templates/pseudo_tables.h
all: $(LIBPSEUDO) $(PSEUDO) $(PSEUDODB) $(PSEUDOLOG) $(PSEUDO_PROFILE)
test: all $(TESTS) | $(BIN) $(LIB)
+ ./run_tests.sh
+
+test-verbose: all $(TESTS) | $(BIN) $(LIB)
./run_tests.sh -v
test/test-%: test/test-%.c
diff --git a/run_tests.sh b/run_tests.sh
index c637c27..3d0920f 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -31,22 +31,36 @@ export PSEUDO_PREFIX=${PWD}
num_tests=0
num_passed_tests=0
+num_skipped_tests=0
+num_failed_tests=0
+
+tmplog="$(mktemp pseudo.log.XXXXXXXX)"
for file in test/test*.sh
do
filename=${file#test/}
let num_tests++
mkdir -p var/pseudo
- ./bin/pseudo $file ${opt_verbose}
- if [ "$?" -eq "0" ]; then
+ ./bin/pseudo $file ${opt_verbose} >${tmplog} 2>&1
+ rc=$?
+ if [ "${opt_verbose}" = "-v" ]; then
+ echo
+ cat ${tmplog}
+ fi
+ if [ "$rc" -eq "0" ]; then
let num_passed_tests++
- if [ "${opt_verbose}" == "-v" ]; then
- echo "${filename%.sh}: Passed."
- fi
+ echo "${filename%.sh}: Passed."
+ elif [ "$rc" -eq "255" ]; then
+ let num_skipped_tests++
+ echo "${filename%.sh}: Skipped."
else
+ let num_failed_tests++
echo "${filename/%.sh}: Failed."
fi
rm -rf var/pseudo/*
done
+echo "${num_failed_tests}/${num_tests} test(s) failed."
+echo "${num_skipped_tests}/${num_tests} test(s) skipped."
echo "${num_passed_tests}/${num_tests} test(s) passed."
+rm ${tmplog}
diff --git a/test/test-acl.sh b/test/test-acl.sh
index fb7d5ec..fa2ed45 100755
--- a/test/test-acl.sh
+++ b/test/test-acl.sh
@@ -6,11 +6,27 @@
# Return vals: 2 - Unable to run ACL commands, assertion failure
# 1 - Invalid return value
# 0 - Pass
+# 255 - acl programs unavailable, skip
# NOTE: these test exclusively test setfacl -m
set -u
+rc=0
+which getfacl 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "getfacl command missing"
+ rc=255
+fi
+which setfacl 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "setfacl command missing"
+ rc=255
+fi
+if [ $rc -ne 0 ]; then
+ exit $rc
+fi
+
check_owner () {
local file="$1"
local expected="$2"
diff --git a/test/test-xattr.sh b/test/test-xattr.sh
index 09cd6b0..6ac6b3c 100755
--- a/test/test-xattr.sh
+++ b/test/test-xattr.sh
@@ -7,6 +7,23 @@
# 1 - Invalid return value
# 0 - Pass
+set -u
+
+rc=0
+which getfattr 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "getfattr command missing"
+ rc=255
+fi
+which setfattr 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "setfattr command missing"
+ rc=255
+fi
+if [ $rc -ne 0 ]; then
+ exit $rc
+fi
+
touch f1
attrs=`getfattr -d f1 | grep -v '^#'`
if [ -n "$attrs" ]
--
2.43.0
next prev parent reply other threads:[~2026-01-15 23:43 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-01-15 23:43 [pseudo][PATCH 00/20] Consolidated pseudo patches Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 01/20] test-syscall: Remove build warning Mark Hatle
2026-01-15 23:43 ` Mark Hatle [this message]
2026-01-15 23:43 ` [pseudo][PATCH 03/20] test/test-statx.sh: It should be a failure if pseudo prints an error Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 04/20] test-realpath: Verify the realpath behavior matches glibc Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 05/20] run_tests.sh: In verbose mode, include pseudo.log in output Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 06/20] test/test-statx: Add uutils test case Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 07/20] test/test-nftw: Avoid compile warnings Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 08/20] test-tclsh-fork: Skip test if tclsh is not available Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 09/20] ports/unix/guts/realpath.c: realpath fails if the resolved path doesn't exist Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 10/20] test/test-proc-pipe.sh: Add test case for proc pipes Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 11/20] pseudo_util.c: Skip realpath like expansion for /proc on Linux Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 12/20] ports/unix/guts/realpath.c: Fix indents Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 13/20] ports/linux/pseudo_wrappers.c: Reorder the syscall operations Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 14/20] ports/linux/pseudo_wrappers.c: Call the wrappers where possible Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 15/20] ports/linux: Add additional EFAULTS for Linux functions Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 16/20] Update COPYRIGHT files Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 17/20] makewrappers: improve error handling and robustness Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 18/20] pseudo: code quality scan - resolved various potential issues Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 19/20] configure: Minor code quality changes Mark Hatle
2026-01-15 23:43 ` [pseudo][PATCH 20/20] Makefile.in: Bump version to 1.9.3 Mark Hatle
[not found] ` <188B0C23901378A4.2703508@lists.yoctoproject.org>
2026-01-17 16:08 ` [yocto-patches] [pseudo][PATCH 13/20] ports/linux/pseudo_wrappers.c: Reorder the syscall operations Mark Hatle
[not found] ` <188B0C2348C47D4E.2703508@lists.yoctoproject.org>
2026-01-17 16:10 ` [yocto-patches] [pseudo][PATCH 15/20] ports/linux: Add additional EFAULTS for Linux functions Mark Hatle
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1768520616-7289-3-git-send-email-mark.hatle@kernel.crashing.org \
--to=mark.hatle@kernel.crashing.org \
--cc=richard.purdie@linuxfoundation.org \
--cc=seebs@seebs.net \
--cc=yocto-patches@lists.yoctoproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.